select
  po.nome as nome_produto,
  (case when (po.ativo = '1') then 'Sim' else 'No' end) as ativo,
    (case when (po.estocavel = '1' and saidaimediata = '0') then 'Estocvel' when
        (po.saidaimediata = '1') then 'Sada imediata' when (po.estocavel = '0')
        then 'No estocvel' else null end) as status,
    (case when (po.tipo = 'P') then 'Produto' else 'Servio' end) as tipo,
  um.nome as unidade_medida,
  cl.descricao as categoria,
  cgd.numero as num_conta_padrao_despesa,
  cgd.descricao as nome_conta_padrao_despesa,
  cgr.numero as num_conta_padrao_receita,
  cgr.descricao as nome_conta_padrao_receita,
  arm.descricao as local_armazenamento_inicial,
  armp.descricao as local_armazenamento_padrao,
  cc.descricao as centro_custo_padrao,
  cp.percentual,
  (select saldo from sp_customedio(current_date,po.cdproduto)) as saldo
from
  produto po
  left join unidademedida um on um.cdunidademedida = po.cdunidademedida
  left join classificacao cl on cl.cdclassificacao = po.cdclassificacao
  left join contagerencial cgd on cgd.cdcontagerencial = po.cdcontagerencialdespesa
  left join contagerencial cgr on cgr.cdcontagerencial = po.cdcontagerencialreceita
  left join produtocentrocusto cp on cp.cdproduto = po.cdproduto
  left join centrocusto cc on cc.cdcentrocusto = cp.cdcentrocusto
  left join localarmazenamento arm on arm.cdlocalarmazenamento = po.cdlocalarmazenamento
  left join localarmazenamento armp on armp.cdlocalarmazenamento = po.cdlocalarmazenamentopadrao
where
  po.ativo = 1 